# eric3.Preferences.ShortcutsDialog

Module implementing a dialog for the configuration of eric3s keyboard shortcuts.

### Classes

ShortcutsDialog | Class implementing a dialog for the configuration of eric3s keyboard shortcuts.

### Functions

None

## ShortcutsDialog

Class implementing a dialog for the configuration of eric3s keyboard shortcuts.

### Derived from

ShortcutsForm

### Methods

ShortcutsDialog | Constructor
checkShortcut | Private method to check a keysequence for uniqueness.
handleDoubleClicked | Private slot to handle a double click in the shortcuts list view.
handleItemRenamed | Private slot to handle the edit of a shortcut key.
handleOk | Private slot to handle the OK button press.
handleShortcutChanged | Private slot to handle the shortcutChanged signal of the shortcut dialog.
showEvent | Public method called when the dialog is about to be shown.

### ShortcutsDialog (Constructor)

ShortcutsDialog(parent = None, name = None, modal = 0, fl = 0)

Constructor

parent
  The parent widget of this dialog. (QWidget)
name
  The name of this dialog. (QString)
modal
  Flag indicating a modal dialog. (boolean)
fl
  The window flags.

### ShortcutsDialog.checkShortcut

checkShortcut(keysequence)

Private method to check a keysequence for uniqueness.

keysequence
  the keysequence to check (QKeySequence)

Returns:
  flag indicating uniqueness (boolean)

### ShortcutsDialog.handleDoubleClicked

handleDoubleClicked(itm)

Private slot to handle a double click in the shortcuts list view.

itm
  The listview item that was double clicked (QListViewItem)

### ShortcutsDialog.handleItemRenamed

handleItemRenamed(itm, col)

Private slot to handle the edit of a shortcut key.

itm
  reference to the item changed (QListViewItem)
col
  column changed (integer)

### ShortcutsDialog.handleOk

handleOk()

Private slot to handle the OK button press.

### ShortcutsDialog.handleShortcutChanged

handleShortcutChanged(keysequence, altKeysequence)

Private slot to handle the shortcutChanged signal of the shortcut dialog.

keysequence
  the keysequence of the changed action (QKeySequence)
altKeysequence
  the alternative keysequence of the changed action (QKeySequence)

### ShortcutsDialog.showEvent

showEvent(evt)

Public method called when the dialog is about to be shown.

evt
  the event (QShowEvent)

Up